Bug Hunting Session
Bug 33160 - Default currency for Estonia should be Euro
Summary: Default currency for Estonia should be Euro
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
3.3.0 RC4
Hardware: All All
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:3.3.1
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-15 10:18 UTC by Mihkel Tõnnov
Modified: 2011-08-18 01:20 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mihkel Tõnnov 2011-01-15 10:18:12 UTC
Estonia joined the eurozone on 2011-01-01, so default currency for this locale should be updated from EEK to Euro.
http://en.wikipedia.org/wiki/Eurozone
Comment 2 Mihkel Tõnnov 2011-01-15 18:17:55 UTC
(In reply to comment #1)
> fixed in master
> http://cgit.freedesktop.org/libreoffice/libs-gui/commit/?id=9b70fbc9d4ffc59d453eada93f0184dc1cb6c7cf

Does this means that as it is, it won't be in 3.3.0 and 3.3.1?
Comment 3 Mihkel Tõnnov 2011-01-21 07:54:22 UTC
Sorry for being so rude and arrogant -- and I'm not even French! :) -- but I'm reopening this in the hope of getting it fixed also in upcoming release...
Comment 4 Kohei Yoshida 2011-01-21 08:24:29 UTC
Master -> 3.4.
Comment 5 Marek Laane 2011-01-21 08:43:32 UTC
Hmm, Master is of course 3.4 but what about 3.3? Estonia has three weeks euro now but LO 3.3 won't know nothing about it?
Comment 6 Kohei Yoshida 2011-01-21 08:59:25 UTC
http://wiki.documentfoundation.org/Release_Criteria

It doesn't meet our blocker criteria for 3.3 RC cycle.

Ok.  I can sign off on this for 3.3.1, but to put this into 3.3, someone needs to request it on the mailing list and gather 3 people to sign off.
Comment 8 Kohei Yoshida 2011-01-21 09:06:31 UTC
I'll assign this to Andras since he is the one who fixed it.
Comment 9 Christian Lohmaier 2011-04-16 07:48:12 UTC
verified
Comment 10 Christian Lohmaier 2011-04-16 07:48:43 UTC
closing
Comment 11 Caolán McNamara 2011-08-18 01:20:10 UTC
Somewhat related: I've now added the Estonian Kroon to the euro converter, i.e.

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f0cb9d723ed4b561ec771abbb9f1888c66ba348e